Wiki Roadmap Timeline Tickets New Ticket Source Search Help / Guide About Trac Login

Ticket #149 (closed defect: worksforme)

Opened 10 years ago

Last modified 10 years ago

Undefined reference to .LlabelNUM

Reported by: dhasenan Assigned to: lindquist
Priority: major Milestone:
Component: backend Version: hg tip
Keywords: Cc:

Description

Using static if (is (typeof (T is null))) with a conditional inside, where T is a static array type, produces an error while linking: "Undefined reference to `.Llabel9'" (the number is dependent on the code, naturally).

Attachments

static_array_null.d (263 bytes) - added by dhasenan on 12/14/08 16:50:27.
test case

Change History

12/14/08 16:50:27 changed by dhasenan

  • attachment static_array_null.d added.

test case

12/15/08 19:58:40 changed by ChristianK

  • owner changed from ChristianK to lindquist.
  • component changed from unspecified to backend.

I expect the problem goes away if you disable debug info?

12/17/08 17:03:35 changed by ChristianK

This sounds like http://www.llvm.org/bugs/show_bug.cgi?id=2613 ; probably fixed in LLVM trunk.

02/08/09 15:57:44 changed by ChristianK

  • status changed from new to closed.
  • resolution set to worksforme.

With LLVM 2.5 and LDC [946].

Copyright © 2008, LDC Development Team.